#!/bin/bash

MODULES_FILE=modules.list
LOG="modules.list.screen.copy.from.install"

i=0
LOCATION=""
rm -f $MODULES_FILE
while IFS='' read -r line || [[ -n "$line" ]]; do
	for word in $line; do
		if [ ${word:${#word}-2:2} == "/:" ]; then
			LOCATION="/"${word:0:${#word}-2}
		else
			#we hit a .ko file
			echo -e BUILT_MODULE_NAME["$i"]=\"${word:0:${#word}-3}\""\nBUILT_MODULE_LOCATION["$i"]=\"v4l\"\nDEST_MODULE_LOCATION["$i"]=\"/kernel/drivers/media"$LOCATION"\"\n" >> "$MODULES_FILE"
			((i++))
		fi
	done
done < "$LOG"
